> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/v1/inventory/reservations/&#123;id&#125;

> GET /api/v1/inventory/reservations/&#123;id&#125;

### Path parameters

<ParamField path="id" type="string" required>
  Reservation ID
</ParamField>

### Responses

<ResponseField name="200" type="ApiResponse_ReservationDetail">
  Reservation details
</ResponseField>

<ResponseField name="404" type="object">
  Reservation not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/inventory/reservations/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "created_at": "string",
      "expires_at": null,
      "id": "string",
      "is_expired": true,
      "location_id": "string",
      "product_id": "string",
      "quantity": 1,
      "reference_id": "string",
      "reference_type": "string",
      "status": "string",
      "updated_at": null
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
